OperationInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.OperationInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class OperationInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.OperationInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConstructorInfo

    public class OperationInfo

extends FeatureInfo
implements java.io.Serializable

Internal configuration information for an `Operation` descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `impact`
`protected ParameterInfo[]` | `parameters`
`protected java.lang.String` | `role`

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, info, name, type`

Constructor Summary
`OperationInfo()` Standard zero-arguments constructor.

Method Summary
`void` | `addParameter(ParameterInfo parameter)` Add a new parameter to the set of arguments for this operation.
`java.lang.String` | `getImpact()` The "impact" of this operation, which should be a (case-insensitive) string value "ACTION", "ACTION_INFO", "INFO", or "UNKNOWN".
`protected javax.management.MBeanParameterInfo[]` | `getMBeanParameterInfo()`
`java.lang.String` | `getReturnType()` The fully qualified Java class name of the return type for this operation.
`java.lang.String` | `getRole()` The role of this operation ("getter", "setter", "operation", or "constructor").
`ParameterInfo[]` | `getSignature()` The set of parameters for this operation.
`void` | `setImpact(java.lang.String impact)`
`void` | `setReturnType(java.lang.String returnType)`
`void` | `setRole(java.lang.String role)`

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setDescription, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### impact

    protected java.lang.String impact

### role

    protected java.lang.String role

### parameters

    protected ParameterInfo[] parameters

Constructor Detail

### OperationInfo

    public OperationInfo()

  Standard zero-arguments constructor.

Method Detail

### getImpact

    public java.lang.String getImpact()

  The "impact" of this operation, which should be a (case-insensitive) string value "ACTION", "ACTION_INFO", "INFO", or "UNKNOWN".

### setImpact

    public void setImpact(java.lang.String impact)

### getRole

    public java.lang.String getRole()

  The role of this operation ("getter", "setter", "operation", or "constructor").

### setRole

    public void setRole(java.lang.String role)

### getReturnType

    public java.lang.String getReturnType()

  The fully qualified Java class name of the return type for this operation.

### setReturnType

    public void setReturnType(java.lang.String returnType)

### getSignature

    public ParameterInfo[] getSignature()

  The set of parameters for this operation.

### addParameter

    public void addParameter(ParameterInfo parameter)

  Add a new parameter to the set of arguments for this operation.

  Parameters:
    `parameter` - The new parameter descriptor

### getMBeanParameterInfo

    protected javax.management.MBeanParameterInfo[] getMBeanParameterInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.